/// 定义常量
class Constants {
  static const String PREFIX_NAME = "com.qianwankj.vt.vonage.flutter_vonage/";

  static const String METHOD_CHANNEL_NAME = PREFIX_NAME + "method";
  static const String EVENT_CHANNEL_NAME = PREFIX_NAME + "event";

  /// 执行的命令

  static const String CMD_INIT = "init"; // 初始化
  static const String CMD_CLOSE = "close"; // 关闭
  static const String CMD_LOGIN = "login"; // 登录
  static const String CMD_LOGOUT = "logout"; // 登出

  static const String CMD_UPDATE_PUSH_TOKEN = "updatePushToken"; // 刷新push token
  static const String CMD_HANDEL_PUSH = "handlePush"; // 处理推送数据

  static const String CMD_START_CHAT = "startChat"; // 准备发送内部消息
  static const String CMD_SEND_MESSAGE = "sendMessage"; // 发送消息

  static const String CMD_CALL_DIAL = "dial"; // 拨号
  static const String CMD_CALL_ANSWER = "callAnswer"; // 接听
  static const String CMD_CALL_REJECT = "callReject"; // 拒接
  static const String CMD_CALL_END = "callEnd"; // 挂断
  static const String CMD_CALL_EVENT_MUTE = "mute"; // 是否静音
  static const String CMD_CALL_EVENT_SPEAK = "speak"; // 是否外放
  static const String CMD_CALL_EVENT_RECORD = "record"; // 是否录音
  static const String CMD_CALL_EVENT_DTMF = "dtmf"; // 通话中的命令

  /// 返回的结果

  static const String CONNECTION_RESULT = "connectionResult"; // 连接结果

  static const String START_CHAT_RESULT = "startChatResult"; // 准备开始聊天结果
  static const String SEND_MSG_RESULT = "sendMsgResult"; // 消息发送结果
  static const String INCOMING_MSG = "incomingMsg"; // 包含推送和消息

  static const String INCOMING_CALL = "incomingCall"; // 来电
  static const String INCOMING_CALL_ANSWER = "incomingCallAnswer"; // 接通来电
  static const String INCOMING_CALL_REJECT = "incomingCallReject"; // 拒接来电

  static const String OUTGOING_CALL = "outgoingCall"; // 拨号
  static const String OUTGOING_CALL_HANGUP = "outgoingCallHangUp"; // 挂断

  static const String CLOSE_CALL = "closeCall"; // 关闭拨号
}
